import Vue from 'vue';
import { UserDefaultComponent } from './user-default-register';
import AppDepartmentSelect from './components/app-department-select/app-department-select.vue';
import AppOrgSelect from './components/app-org-select/app-org-select.vue';
import iBizVueLib from 'ibiz-vue-lib';

// 注册Vue插件
export const UserComponent = {
    install(v: any, opt: any) {
        Vue.use(UserDefaultComponent);
        v.use(iBizVueLib);
        v.component('app-department-select', AppDepartmentSelect);
        v.component('app-org-select', AppOrgSelect);
    }
};